Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Cart Class Reference

class representing one Cart loaded with items from customers More...

`#include <WarehousePickingOpt.h>`

## Public Member Functions
| Cart (vector< CartShelf > cart_shelf_vect)
| not in use but ready //TODO More...
bool | loadCustomer (SolverConfiguration &sc, Customer &customer, bool can_be_partly_loaded=false, vector< Box > *non_loaded_boxes=NULL)
| function for attaching customer to some cart More...
float | getCartFreeSpace ()
| getter for whole free space on cart More...
vector< Customer > | getCustomerVector ()
| getter for the built customer list More...
vector< OItem > | getItemVector ()
vector< CartOItem > | getCartOItemVector ()
vector< CartShelf > | getCartShelvesVector ()
void | setCartOItemVector (vector< CartOItem > _cartoitem_vect)
| setter
void | addToEstimatedWalkedDistance (int dist)
| function for counting the distance which is any person supposed to walk when handling this cart More...
int | getEstimatedWalkedDistance ()

## Detailed Description

class representing one Cart loaded with items from customers

## Constructor & Destructor Documentation

## ◆ Cart()

Cart::Cart | ( | vector< CartShelf > | cart_shelf_vect | ) |

not in use but ready //TODO

Parameters

  cart_shelf_vect |

## Member Function Documentation

## ◆ addToEstimatedWalkedDistance()

void Cart::addToEstimatedWalkedDistance | ( | int | dist | ) |

function for counting the distance which is any person supposed to walk when handling this cart

Parameters

  dist | distance to be counted

## ◆ getCartFreeSpace()

float Cart::getCartFreeSpace | ( |  | ) |

getter for whole free space on cart

Returns

## ◆ getCustomerVector()

vector< Customer > Cart::getCustomerVector | ( |  | ) |

getter for the built customer list

Returns
  list of customers

## ◆ getItemVector()

vector< OItem > Cart::getItemVector | ( |  | ) |

Returns
  vector with items in cart

## ◆ loadCustomer()

bool Cart::loadCustomer | ( | SolverConfiguration & | sc,
|  | Customer & | customer,
|  | bool | can_be_partly_loaded = `false`,
|  | vector< Box > * | non_loaded_boxes = `NULL`
| ) |  |

function for attaching customer to some cart

Parameters

  customer | the customer to be loaded

Returns
  boolean according to the whether the customer fit the free space in cart or not

The documentation for this class was generated from the following files:

- WarehousePickingOpt.h
- cart.cpp